org.eclipse.eef.properties.ui.internal.extension

## Interface IItemRegistry<T>

Type Parameters:
  `T` - The type of the Objects described

All Known Implementing Classes:
  ItemRegistry

    public interface IItemRegistry<T>

The registry used to track the descriptors of the extensions.

### Method Summary

All Methods Instance Methods Abstract Methods
`IItemDescriptor<T>` `add(IItemDescriptor<T> descriptor)` Adds the given `IItemDescriptor` to the registry.
`void` `clear()` Clears the registry.
`IItemDescriptor<T>` `getItemDescriptor(java.lang.String id)` Returns the `IItemDescriptor` with the given identifier.
`java.util.List<IItemDescriptor<T>>` `getItemDescriptors()` Returns all the `IItemDescriptor` of the registry.
`IItemDescriptor<T>` `remove(java.lang.String id)` Removes the `IItemDescriptor` with the given identifier.

### Method Detail

#### getItemDescriptors

    java.util.List<IItemDescriptor<T>> getItemDescriptors()

Returns all the `IItemDescriptor` of the registry.

Returns:
  The list of all the `IItemDescriptor` of the registry

#### getItemDescriptor

    IItemDescriptor<T> getItemDescriptor(java.lang.String id)

Returns the `IItemDescriptor` with the given identifier.

Parameters:
  `id` - The identifier
Returns:
  The `IItemDescriptor` with the given identifier or null if none could be found

#### add

    IItemDescriptor<T> add(IItemDescriptor<T> descriptor)

Adds the given `IItemDescriptor` to the registry.

Parameters:
  `descriptor` - The descriptior
Returns:
  The previous `IItemDescriptor` with the same identifier, or null if no registered `IItemDescriptor` had the same identifier

#### remove

    IItemDescriptor<T> remove(java.lang.String id)

Removes the `IItemDescriptor` with the given identifier.

Parameters:
  `id` - The identifier
Returns:
  The `IItemDescriptor` removed or null if no registered `IItemDescriptor` had an identifier matching the given one

#### clear

    void clear()

Clears the registry.